<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>SuperviseurImages</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="declaration: package: modeles, class: SuperviseurImages">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">modeles</a></div>
<h1 title="Class SuperviseurImages" class="title">Class SuperviseurImages</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.util.AbstractCollection&lt;E&gt;
<div class="inheritance">java.util.AbstractList&lt;E&gt;
<div class="inheritance">java.util.ArrayList&lt;<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt;
<div class="inheritance">modeles.SuperviseurImages</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code>, <code>java.lang.Iterable&lt;<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt;</code>, <code>java.util.Collection&lt;<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt;</code>, <code>java.util.List&lt;<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt;</code>, <code>java.util.RandomAccess</code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">SuperviseurImages</span>
extends java.util.ArrayList&lt;<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&gt;</pre>
<div class="block">objet federant des images modifiables, permettant de les serialiser ensemble</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../serialized-form.html#modeles.SuperviseurImages">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#SUPERVISEUR_CHANGER">SUPERVISEUR_CHANGER</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.java.util.AbstractList">Fields inherited from class&nbsp;java.util.AbstractList</h3>
<code>modCount</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.awt.image.BufferedImage,int)">SuperviseurImages</a></span>&#8203;(java.awt.image.BufferedImage&nbsp;imageInitiale,
int&nbsp;nbPerspectives)</code></th>
<td class="col-last">
<div class="block">Cree un superviseur d'image prÃ©sentant une vignette et un certain nombre de
 perspectives.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#changerImage(java.awt.image.BufferedImage)">changerImage</a></span>&#8203;(java.awt.image.BufferedImage&nbsp;image)</code></th>
<td class="col-last">
<div class="block">change l'image source utilisee par la vignette, ce qui avertit les
 perspectives</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#copierSuperviseur(modeles.SuperviseurImages)">copierSuperviseur</a></span>&#8203;(<a href="SuperviseurImages.html" title="class in modeles">SuperviseurImages</a>&nbsp;source)</code></th>
<td class="col-last">
<div class="block">vide le prsent superviseur et copie les images de celui passe en parametre</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.ArrayList">Methods inherited from class&nbsp;java.util.ArrayList</h3>
<code>add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.AbstractCollection">Methods inherited from class&nbsp;java.util.AbstractCollection</h3>
<code>containsAll, toString</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.Collection">Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>parallelStream, stream, toArray</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.util.List">Methods inherited from interface&nbsp;java.util.List</h3>
<code>containsAll</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="SUPERVISEUR_CHANGER">
<h3>SUPERVISEUR_CHANGER</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">SUPERVISEUR_CHANGER</span></div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../constant-values.html#modeles.SuperviseurImages.SUPERVISEUR_CHANGER">Constant Field Values</a></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.awt.image.BufferedImage,int)">
<h3>SuperviseurImages</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SuperviseurImages</span>&#8203;(<span class="parameters">java.awt.image.BufferedImage&nbsp;imageInitiale,
int&nbsp;nbPerspectives)</span></div>
<div class="block">Cree un superviseur d'image prÃ©sentant une vignette et un certain nombre de
 perspectives. La vignette est stockee dans l'index 0 et utilise une image
 comme source, tandis que les perspectives surveillent la vignette.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>imageInitiale</code> - image initiale utilisee comme source par la vignette</dd>
<dd><code>nbPerspectives</code> - nombre de perspectives a ajouter et qui doivent
                       surveiller la vignette</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="changerImage(java.awt.image.BufferedImage)">
<h3>changerImage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">changerImage</span>&#8203;(<span class="parameters">java.awt.image.BufferedImage&nbsp;image)</span></div>
<div class="block">change l'image source utilisee par la vignette, ce qui avertit les
 perspectives</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>image</code> - </dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="copierSuperviseur(modeles.SuperviseurImages)">
<h3>copierSuperviseur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">copierSuperviseur</span>&#8203;(<span class="parameters"><a href="SuperviseurImages.html" title="class in modeles">SuperviseurImages</a>&nbsp;source)</span></div>
<div class="block">vide le prsent superviseur et copie les images de celui passe en parametre</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>source</code> - superviseur a copier</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
